Subject: Re: bug#2401: 23.0.90; set-frame-width does not take effect immediately?

From: Stefan Monnier <[email-masked]>
Date: Fri, 08 May 2009 15:38:09 -0400

>>> As far as I tested, this patch also works for this bug.
>> Thank you, I just tried the patch and it does indeed work.
> Jan, could you take a look at the patch in
> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=2401 ?
> The code and comment are just a copy from x_set_window_size_1.
> Maintainers, I think this change needs your approval to be committed
> at this stage, because Emacs 22 has the same problem and this is not a
> fix for a regression.

I'd be in favor of installing this change, because it is is new in the
default config of Emacs-23 (yes, it was already present in Emacs-22's
Gtk code, but the fact that it only showed up in Emacs-23 indicates
that the Gtk version of Emacs22 is not used as often).

        Stefan